summaryrefslogtreecommitdiffhomepage
path: root/test/scenario_test/ci-scripts
diff options
context:
space:
mode:
authorISHIDA Wataru <ishida.wataru@lab.ntt.co.jp>2015-08-03 18:33:37 +0900
committerFUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>2015-08-05 17:24:36 +0900
commitc059eb0f88969bac02aad13771a1bc2c82c2a803 (patch)
tree6deeffcfb90c92bd64b87ee1de560642b8808a1a /test/scenario_test/ci-scripts
parentf66133c506585424a0e06bb769e2323b73ecddfb (diff)
test: add scenario test for evpn
Signed-off-by: ISHIDA Wataru <ishida.wataru@lab.ntt.co.jp>
Diffstat (limited to 'test/scenario_test/ci-scripts')
-rw-r--r--test/scenario_test/ci-scripts/jenkins-build-script.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/test/scenario_test/ci-scripts/jenkins-build-script.sh b/test/scenario_test/ci-scripts/jenkins-build-script.sh
index dabeb3ba..13ae6f9a 100644
--- a/test/scenario_test/ci-scripts/jenkins-build-script.sh
+++ b/test/scenario_test/ci-scripts/jenkins-build-script.sh
@@ -16,6 +16,7 @@ ls -al
git log | head -20
sudo docker rmi $(sudo docker images | grep "^<none>" | awk '{print $3}')
+sudo docker rm -f $(sudo docker ps -a -q)
sudo fab -f $GOBGP/test/scenario_test/lib/base.py make_gobgp_ctn --set tag=$GOBGP_IMAGE
@@ -54,12 +55,18 @@ PID5=$!
sudo -E python ibgp_router_test.py --gobgp-image $GOBGP_IMAGE --test-prefix ibgp -s -x --with-xunit --xunit-file=${WS}/nosetest_ibgp.xml &
PID6=$!
+# evpn test
+sudo -E python evpn_test.py --gobgp-image $GOBGP_IMAGE --test-prefix evpn -s -x --with-xunit --xunit-file=${WS}/nosetest_evpn.xml&
+PID7=$!
+
wait $PID5
RET5=$?
wait $PID6
RET6=$?
+wait $PID7
+RET7=$?
-if [ $RET1 != 0 ] || [ $RET2 != 0 ] || [ $RET3 != 0 ] || [ $RET4 != 0 ] || [ $RET5 != 0 ] || [ $RET6 != 0 ]; then
+if [ $RET1 != 0 ] || [ $RET2 != 0 ] || [ $RET3 != 0 ] || [ $RET4 != 0 ] || [ $RET5 != 0 ] || [ $RET6 != 0 ] || [ $RET7 != 0 ]; then
exit 1
fi
exit 0